Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1696336 - meson: build for EPEL6
Summary: meson: build for EPEL6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: meson
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carl George
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-04 14:48 UTC by Carl George
Modified: 2019-04-23 20:54 UTC (History)
2 users (show)

Fixed In Version: meson-0.44.1-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-23 20:54:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Carl George 2019-04-04 14:48:07 UTC
Description of problem:
I'm looking to help get some software added to EPEL6 so they're available for the manylinux2010 initiative [0].  One of these is zchunck, which needs meson.  Meson requires at least Python 3.5 since version 0.45.0 [1], but version 0.44.1 can work with EPEL6's python34.  Rebuilding the spec file from the commit for meson-0.44.1-1 [2] on CentOS 6 worked fine for me locally.

Please request an el6 branch, merge the meson-0.44.1-1 commit back to it, and build it.  Alternatively, you can add me as co-maintainer and I'll be happy to scratch my own itch.

[0]: https://www.python.org/dev/peps/pep-0571/
[1]: https://github.com/mesonbuild/meson/commit/0538009d30c02aba7f3b0e2fb22589c55fbe0fd0
[2]: https://src.fedoraproject.org/rpms/meson/c/6de26db7577c7fb801e2fed0214f497992dfa0d2

Additional info:
https://github.com/rpm-software-management/createrepo_c/issues/145

Comment 1 Igor Raits 2019-04-06 14:49:53 UTC
I've added you as maintainer. Please do whatever you wish in el6 branch :)

Comment 2 Carl George 2019-04-06 15:32:13 UTC
Thanks Igor!

Comment 3 Fedora Update System 2019-04-07 16:31:00 UTC
meson-0.44.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-20fdd72533

Comment 4 Fedora Update System 2019-04-08 02:18:28 UTC
meson-0.44.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-20fdd72533

Comment 5 Fedora Update System 2019-04-23 20:54:20 UTC
meson-0.44.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.